# QmsAngular

This library was generated with [Angular CLI](https://github.com/angular/angular-cli) version 12.0.5.

## Code scaffolding

Run `ng generate component component-name --project qms-angular` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module --project qms-angular`.
> Note: Don't forget to add `--project qms-angular` or else it will be added to the default project in your `angular.json` file. 

## Build

Run `ng build qms-angular` to build the project. The build artifacts will be stored in the `dist/` directory.

## Publishing

After building your library with `ng build qms-angular`, go to the dist folder `cd dist/qms-angular` and run `npm publish`.

## Running unit tests

Run `ng test qms-angular` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI README](https://github.com/angular/angular-cli/blob/master/README.md).


## Installation

Use the package Jquery, Dagre.

```bash
npm i jquery
```

```bash
npm i dagre@0.8.4
```

App must have using material theming as below:
```css
@use '~@angular/material' as mat;
@import "~@angular/material/theming";

@include mat.core();

$app-primary: mat.define-palette(mat.$indigo-palette);
$app-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

$app-warn: mat.define-palette(mat.$red-palette);

$app-theme: mat.define-light-theme($app-primary, $app-accent, $app-warn);

@include mat.all-component-themes($app-theme);
```

In your common styles, import qms theming.


```css
@import 'qms-angular/lib.theme';
```

Should add some script in build  angular.json

```typescript
 "assets": [
    ...
    {
    "glob": "**/*",
    "input": "dist/qms-angular/src/assets",
    "output": "/assets/"
    }
  ],
  "styles": [
      ...
      "./node_modules/bootstrap/dist/css/bootstrap.min.css",
      "./node_modules/@angular/material/prebuilt-themes/deeppurple-amber.css",
      "src/styles.scss"
    ],
 ....
 "scripts": [
    ...
    "./node_modules/qms-angular/src/assets/jointjs/js/gd.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/client.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/jquery/jquery.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/lodash/lodash.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/backbone/backbone.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/rappid.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/example.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/joint.format.svg.js",
    "./node_modules/qms-angular/src/assets/jointjs/js/joint.format.raster.js"
  ]     
```

## Usage: Can import in your main modules.
```python
import { QmsAngularModule, QMSButtonModule... } from 'qms-angular';
```
