declare function getInspectorConfiguration(bpmn2: any, LANG: any, shapeImages: any): {
    'standard.Image': {
        attrs: {
            image: {
                xlinkHref: {
                    type: string;
                    options: any;
                    label: string;
                    index: number;
                };
            };
        };
    };
    'bpmn2.Gateway': {
        attrs: {
            'icon/iconType': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
            };
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-inside': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'labelBackground/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'icon/iconColor': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.Activity': {
        attrs: {
            'border/borderType': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                group: string;
                label: string;
                index: number;
            };
            'border/borderStyle': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                group: string;
                label: string;
                index: number;
            };
            'icon/iconType': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
            };
            'markers/iconTypes': {
                type: string;
                multiple: boolean;
                overwrite: boolean;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
            };
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'background/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'border/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'icon/iconColor': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'markers/iconColor': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.Event': {
        attrs: {
            'text/style/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'text/style/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/text-inside': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'icon/iconType': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
            };
            'border/borderType': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                group: string;
                label: string;
                index: number;
            };
            'border/borderStyle': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                group: string;
                label: string;
                index: number;
            };
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'labelBackground/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'background/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'border/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'icon/iconColor': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.Annotation': {
        attrs: {
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'label/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'label/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'label/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'border/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.Group': {
        attrs: {
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.Conversation': {
        attrs: {
            'text/style/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'text/style/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/text-inside': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/strokeWidth': {
                type: string;
                options: {
                    value: number;
                    content: string;
                }[];
                group: string;
                label: string;
                index: number;
            };
            'markers/iconTypes': {
                type: string;
                multiple: boolean;
                overwrite: boolean;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
            };
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'labelBackground/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.DataObject': {
        attrs: {
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'dataTypeIcon/iconType': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
            };
            'collectionIcon/collection': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-inside': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'labelBackground/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'dataTypeIcon/iconColor': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'collectionIcon/iconColor': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.DataStore': {
        attrs: {
            'label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-inside': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/style/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'text/style/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'label/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'labelBackground/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'body/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'top/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'top/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
    };
    'bpmn2.HeaderedPool': {
        lanes: {
            type: string;
            group: string;
            index: number;
            item: {
                type: string;
                properties: {
                    label: {
                        type: string;
                        label: string;
                    };
                    size: {
                        type: string;
                        label: string;
                        attrs: {
                            label: {
                                style: string;
                            };
                            input: {
                                style: string;
                            };
                        };
                    };
                    headerSize: {
                        type: string;
                        label: string;
                        attrs: {
                            label: {
                                style: string;
                            };
                            input: {
                                style: string;
                            };
                        };
                    };
                    'font-family': {
                        type: string;
                        options: string[];
                        label: string;
                        defaultValue: string;
                    };
                    'font-size': {
                        type: string;
                        min: number;
                        max: number;
                        unit: string;
                        label: string;
                        defaultValue: number;
                    };
                    sublanes: {
                        type: string;
                        label: string;
                        item: {
                            type: string;
                            properties: {
                                label: {
                                    type: string;
                                    label: string;
                                };
                                size: {
                                    type: string;
                                    label: string;
                                    attrs: {
                                        label: {
                                            style: string;
                                        };
                                        input: {
                                            style: string;
                                        };
                                    };
                                };
                                headerSize: {
                                    type: string;
                                    label: string;
                                    attrs: {
                                        label: {
                                            style: string;
                                        };
                                        input: {
                                            style: string;
                                        };
                                    };
                                };
                                'font-family': {
                                    type: string;
                                    options: string[];
                                    label: string;
                                    defaultValue: string;
                                };
                                'font-size': {
                                    type: string;
                                    min: number;
                                    max: number;
                                    unit: string;
                                    label: string;
                                    defaultValue: number;
                                };
                                sublanes: {
                                    type: string;
                                    label: string;
                                    item: {
                                        type: string;
                                        properties: {
                                            label: {
                                                type: string;
                                                label: string;
                                            };
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        milestones: {
            type: string;
            group: string;
            index: number;
            attrs: {};
            item: {
                type: string;
                properties: {
                    label: {
                        type: string;
                        label: string;
                    };
                    size: {
                        type: string;
                        label: string;
                        attrs: {
                            label: {
                                style: string;
                            };
                        };
                    };
                    milestonesSize: {
                        type: string;
                        label: string;
                        attrs: {
                            label: {
                                style: string;
                            };
                            input: {
                                style: string;
                            };
                        };
                    };
                };
            };
        };
        milestonesSize: {
            type: string;
            label: string;
            attrs: {
                label: {
                    style: string;
                };
            };
            group: string;
            index: number;
        };
        headerSize: {
            type: string;
            label: string;
            attrs: {
                label: {
                    style: string;
                };
            };
            group: string;
            index: number;
        };
        attrs: {
            'headerLabel/text': {
                type: string;
                label: string;
                attrs: {
                    label: {
                        style: string;
                    };
                };
                group: string;
                index: number;
            };
            'header/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'header/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'headerLabel/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'lanes/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'lanes/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'laneHeaders/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'laneHeaders/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'laneLabels/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'milestoneHeaders/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'milestoneHeaders/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'milestoneLabels/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'milestoneLines/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'headerLabel/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'headerLabel/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'headerLabel/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'laneLabels/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'laneLabels/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'laneLabels/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'milestoneLabels/text-anchor': {
                type: string;
                options: {
                    value: string;
                    content: string;
                }[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'milestoneLabels/font-family': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
                defaultValue: string;
            };
            'milestoneLabels/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
        };
    };
    'bpmn2.Flow': {
        attrs: {
            'line/flowType': {
                type: string;
                options: string[];
                label: string;
                group: string;
                index: number;
            };
            'text/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'text/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'line/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
        labels: {
            '0/attrs/label/text': {
                type: string;
                label: string;
                group: string;
            };
        };
    };
    'bpmn2.DataAssociation': {
        attrs: {
            'text/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'text/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'line/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
        labels: {
            '0/attrs/label/text': {
                type: string;
                label: string;
                group: string;
            };
        };
    };
    'bpmn2.AnnotationLink': {
        attrs: {
            'text/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'text/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'line/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
        labels: {
            '0/attrs/label/text': {
                type: string;
                label: string;
                group: string;
            };
        };
    };
    'bpmn2.ConversationLink': {
        attrs: {
            'text/font-size': {
                type: string;
                min: number;
                max: number;
                unit: string;
                label: string;
                group: string;
                index: number;
                defaultValue: number;
            };
            'text/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'line/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'outline/stroke': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
        labels: {
            '0/attrs/label/text': {
                type: string;
                label: string;
                group: string;
            };
        };
    };
    'bpmn.Choreography': {
        participants: {
            type: string;
            label: string;
            item: {
                type: string;
            };
            group: string;
            index: number;
        };
        initiatingParticipant: {
            type: string;
            label: string;
            options: string;
            group: string;
            index: number;
        };
        subProcess: {
            type: string;
            label: string;
            group: string;
            index: number;
        };
        content: {
            type: string;
            label: string;
            group: string;
            index: number;
        };
        attrs: {
            'text/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            '.body/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            '.participant-rect/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
        'attrs/div/style/text-align': {
            type: string;
            options: {
                value: string;
                content: string;
            }[];
            label: string;
            group: string;
            index: number;
            defaultValue: string;
        };
        'attrs/div/style/font-family': {
            type: string;
            options: string[];
            label: string;
            group: string;
            index: number;
        };
        'attrs/div/style/font-size': {
            type: string;
            min: number;
            max: number;
            unit: string;
            label: string;
            group: string;
            index: number;
            defaultValue: number;
        };
        'attrs/div/style/color': {
            type: string;
            label: string;
            group: string;
            index: number;
        };
    };
    'bpmn.Message': {
        attrs: {
            '.label/text': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            'text/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
            '.body/fill': {
                type: string;
                label: string;
                group: string;
                index: number;
            };
        };
        'attrs/text/font-family': {
            type: string;
            options: string[];
            label: string;
            group: string;
            index: number;
        };
        'attrs/text/font-size': {
            type: string;
            min: number;
            max: number;
            unit: string;
            label: string;
            group: string;
            index: number;
            defaultValue: number;
        };
    };
};
declare const InspectorFunction: {
    getInspectorConfiguration: typeof getInspectorConfiguration;
};
export default InspectorFunction;
