export interface QMSTreeNode {
    id: string;
    name: string;
    externalName?: string;
    parentId: string;
    children?: QMSTreeNode[];
    itemIcon?: string;
    itemIconSvg?: string;
    itemMatIcon?: string;
    isFile: boolean;
    childCount?: number;
    disabled?: boolean;
    markedGetChildren?: boolean;
    tooltip?: string;
    isGroup?: boolean;
    groupId?: string;
    expandable?: boolean;
    path?: string[];
    selectedChildCount?: number;
    markedGetChildCountRecurrsive?: boolean;
    isIncludeChildWhenChecked?: boolean;
    expandIcon?: {
        expand?: string;
        collapse?: string;
    };
}
export declare class QMSTreeModel implements QMSTreeNode {
    id: string;
    name: string;
    parentId: string;
    children?: QMSTreeNode[];
    itemIcon?: string;
    itemIconSvg?: string;
    itemMatIcon?: string;
    isFile: boolean;
    childCount?: number;
    disabled?: boolean;
    markedGetChildren?: boolean;
    tooltip?: string | undefined;
    isGroup?: boolean;
    groupId?: string;
    expandIcon?: {
        expand?: string;
        collapse?: string;
    };
    constructor(id: string, parentId: string, name: string);
}
