import { ElementRef } from '@angular/core';
export type Constructor<T> = new (...args: any[]) => T;
export type ThemePalette = 'primary' | 'secondary' | 'light' | 'dark' | undefined;
/** @docs-private */
export interface CanColor {
    /** Theme color palette for the component. */
    color: ThemePalette;
    /** Default color to fall back to if no value is set. */
    defaultColor: ThemePalette | undefined;
}
/** @docs-private */
export type CanColorCtor = Constructor<CanColor>;
/** @docs-private */
export interface HasElementRef {
    _elementRef: ElementRef;
}
export declare function mixinColor<T extends Constructor<HasElementRef>>(base: T, defaultColor?: ThemePalette): CanColorCtor & T;
