import { ActivityRelatedItems } from './flow-chart-shape/activity-related-items';
import { ShapeAnchor } from './flow-chart-shape/shape-anchor';
import { ShapeLink } from './flow-chart-shape/shape-link';
import { ShapeTarget } from './flow-chart-shape/shape-target';
export declare class ShapeConnectionDetailModel {
    shapeId: string;
    flowChartId: string;
    description: ConnectionDescription;
    fields: ConnectionField[];
    documentAndProcess: ConnectionDocumentAndProcess[];
    risk: ActivityAnalysisDanger[];
    riskData: ConnectionRisk;
    deviation: ActivityRelatedItems[];
    checklist: ActivityRelatedItems[];
    compliance: ActivityRelatedItems[];
    shapeLink: ShapeLink[];
    target: ShapeTarget;
    attachment: Attachment[];
    complianceRequirementOriginSource: ComplianceRequirement[];
    constructor(shapeId?: string, flowChartId?: any, description?: ConnectionDescription, fields?: any[], documentAndProcess?: any[], risk?: any[], riskData?: ConnectionRisk, deviation?: any[], checklist?: any[], compliance?: any[], shapeLink?: any[], target?: ShapeTarget);
}
export declare class ConnectionDescription {
    title: string;
    description: string;
}
export declare class ConnectionField {
    id: string;
    name: string;
    description: string;
    content: string;
}
export declare class ConnectionDocumentAndProcess {
    relatedItem: ActivityRelatedItems;
    anchorDocument: ShapeAnchor;
}
export declare class AnalysisDanger {
    id?: number;
    analysisId: number;
    analysisName: string;
    dangerId: number;
    dangerName: string;
    processEntityId?: string;
    red?: string;
    green?: string;
    yellow?: string;
    folderId: number;
    statusId: number;
    simple: number;
    parentId?: string;
}
export declare class ActivityAnalysisDanger extends AnalysisDanger {
    flowChartId: string;
    shapeId: string;
}
export declare class ConnectionRisk {
    title: string;
    data: ActivityAnalysisDanger[];
    isNotEditedItem: boolean;
    enableArchive: boolean;
}
export declare class Attachment {
    fileId: string;
    fileName: string;
    fileContent: string;
    fileContentBase64: string;
    extension: string;
    isEditMode: boolean;
    processEntityId: string;
    isImage: boolean;
    isDraft: boolean;
    urlIcon: string;
}
export declare class ComplianceRequirement {
    id: string;
    categoryId: string;
    categoryName?: string;
    complianceId: string;
    complianceName?: string;
    name: string;
    disabled?: boolean;
}
