import { BreadcrumbNode } from "../../breadcrumb/model/breadcrumb-node.model";
export declare class RelatedItem {
    id: number;
    name: string;
    type: number;
    icon: string;
    text: string;
    breadcumbs: BreadcrumbNode[];
}
export declare class IRelated {
    id: string;
    itemName: string;
    itemType: number;
    statusName: string;
    itemNumberId?: string;
    parentId: string;
    parentName: string;
    disabled?: boolean;
    levelType?: number;
    status?: number;
    breadcumbs?: string[];
    location?: string;
    canRemove?: boolean;
    svgIcon?: string;
}
export declare class RelatedOption extends IRelated {
    disabled: boolean;
}
export declare class RelatedData {
    title: string;
    data: Array<IRelated>;
    constructor();
}
export declare class SearchRelatedItemsToProcessAndDocument {
    processes: IRelated[];
    documents: IRelated[];
    processAreas: IRelated[];
    folders: IRelated[];
    processesInterconnected: IRelated[];
}
export declare class SearchRelatedItemsToDeviation {
    categories: IRelated[];
    types: IRelated[];
}
export declare class SearchRelatedItemsToChecklist {
    checklists: IRelated[];
    categories: IRelated[];
}
export declare class SearchRelatedItemsToRisk {
    assessments: IRelated[];
    folders: IRelated[];
}
