import { AfterViewChecked, AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { MatAutocompleteTrigger } from '@angular/material/autocomplete';
import { MatDialogRef } from '@angular/material/dialog';
import { MatIconRegistry } from '@angular/material/icon';
import { DomSanitizer } from '@angular/platform-browser';
import { Subject } from 'rxjs';
import { TranslateLibraryService } from '../../services/translation-registry.service';
import { QMSIconRegistryService } from '../app-icon/icon-registry.service';
import { ItemIconType } from '../related/common/item-icon-type.enum';
import { TreeConfig } from '../tree/model/tree-config.model';
import { TreeFlatNode } from '../tree/model/tree-flat-node.model';
import { TreeModel } from '../tree/model/tree.model';
import { TreeComponent } from '../tree/tree.component';
import { SelectOption } from './model/select-option.model';
import { SelectPopupData } from './model/select-popup-data.model';
import { SelectSearchOption } from './model/select-search-option.model';
import { SelectedOption } from './model/seleted-option.model';
import { QMSSelectIncludeChildrenGlobalService } from './services/select-include-children-global.service';
import * as i0 from "@angular/core";
export declare class SelectIncludeChildrenPopUpComponent implements OnInit, OnDestroy, AfterViewChecked, AfterViewInit {
    private cdRef;
    translate: TranslateLibraryService;
    dialogRef: MatDialogRef<SelectIncludeChildrenPopUpComponent>;
    globalService: QMSSelectIncludeChildrenGlobalService;
    private iconRegistry;
    private domSanitizer;
    private appIconService;
    private elem;
    data: SelectPopupData;
    ngUnsubscribe: Subject<void>;
    LANG: any;
    headerName: string;
    selectIncludeLabel: string;
    treeData: Array<TreeModel>;
    treeConfig: TreeConfig;
    checkedNodeList: Array<SelectedOption>;
    selectedOptions: Array<SelectOption>;
    selectedData: Array<TreeFlatNode>;
    commonCheckedList: Array<TreeFlatNode>;
    itemType: number;
    selectedRiskData: any;
    disabledList: SelectedOption[];
    orginalDisableList: any;
    maxSelectItemCount: number;
    isDocumentExpanded: boolean;
    isCommonExpanded: boolean;
    singleSelectOption: boolean;
    searchOrder: any[];
    myControl: UntypedFormControl;
    filteredOptions: SelectSearchOption[];
    isInputValue: boolean;
    selectedFolder: TreeFlatNode;
    listChildrenSelectOne: any;
    includeChildren: boolean;
    editItem: SelectedOption;
    itemIconType: typeof ItemIconType;
    onSearch: EventEmitter<any>;
    onExpandFolder: EventEmitter<SelectOption>;
    dataTrees: QueryList<TreeComponent>;
    autoComplete: MatAutocompleteTrigger;
    constructor(cdRef: ChangeDetectorRef, translate: TranslateLibraryService, dialogRef: MatDialogRef<SelectIncludeChildrenPopUpComponent>, globalService: QMSSelectIncludeChildrenGlobalService, iconRegistry: MatIconRegistry, domSanitizer: DomSanitizer, appIconService: QMSIconRegistryService, elem: ElementRef, data: SelectPopupData);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onMessage(event: any): void;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    initTree(selectedOptions: SelectedOption[]): void;
    focusEditItem(selectedOption: SelectedOption): void;
    removeCheckedNodeList(item: TreeFlatNode): void;
    selectSearchOption(item: SelectOption): void;
    getItemIconType(item: SelectSearchOption): ItemIconType;
    getImagePath(item: SelectSearchOption): string;
    setResultHeight(arr?: SelectOption[]): void;
    onSearchRelated(_val: any): void;
    showSearchResult(): void;
    displayRelated(related?: SelectOption): string | undefined;
    getCommonCheckedNode(list: Array<TreeFlatNode>): void;
    selectIncludeChildren(item: TreeFlatNode): void;
    removeIncludeChildren(item: TreeFlatNode): void;
    getAllChildrenNodeRecursive(listResult: any, item: TreeFlatNode): SelectOption[];
    onCloseClick(): void;
    onAddClick(): void;
    getOffsetHeight(element: HTMLElement, includeMargin: boolean): number;
    getItemChipName(item: SelectedOption): string;
    getItemSelectedChildrenRatio(item: SelectedOption): string;
    isEllipsisActive(e: HTMLElement): boolean;
    toggleSelectItem(node: SelectOption): void;
    isNodeSelected(node: any): boolean;
    getChildrenOfFolder(node: TreeFlatNode): void;
    selectNodeTreeEvent(node: TreeFlatNode): void;
    setValue(e: any): void;
    mapSelectOptionToTreeNode(list: SelectOption[]): TreeFlatNode[];
    refactorSelectList(node: TreeFlatNode): void;
    deleteNodeFromSelectedNode(node: TreeFlatNode): void;
    combineNodes(root: SelectOption): void;
    getParentLineOfNode(listParent: SelectOption[], node: TreeModel): SelectOption[];
    disableSelectIncludeNode(node: SelectedOption): void;
    disableSelectSingleNode(node: SelectedOption): void;
    enableSelectedNode(node: SelectedOption): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectIncludeChildrenPopUpComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectIncludeChildrenPopUpComponent, "qms-select-include-children-popup", never, {}, {}, never, never, false, never>;
}
