import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { Subject } from 'rxjs';
import { QMSFlatNodeTree } from '../../common/models/qms-flat-node.model';
import { QMSTreeGlobalService } from '../../services/qms-tree-global.service';
import { TranslateLibraryService } from '../../services/translation-registry.service';
import { SelectOneNextData } from './common/select-one-next.model';
import { QMSSelectOneGlobalService } from './service/select-one-global.service';
import * as i0 from "@angular/core";
export declare class SelectOneNextDialog implements OnInit, OnDestroy {
    dialogRef: MatDialogRef<SelectOneNextDialog>;
    translate: TranslateLibraryService;
    globalService: QMSSelectOneGlobalService;
    qmsTreeGlobalService: QMSTreeGlobalService;
    data: SelectOneNextData;
    onSearch: EventEmitter<any>;
    onExpand: EventEmitter<any>;
    ngUnsubscribe: Subject<void>;
    LANG: any;
    searchField: UntypedFormControl;
    filteredOptions: any[];
    selectedNode: QMSFlatNodeTree;
    isFocusedInputSearch: boolean;
    constructor(dialogRef: MatDialogRef<SelectOneNextDialog>, translate: TranslateLibraryService, globalService: QMSSelectOneGlobalService, qmsTreeGlobalService: QMSTreeGlobalService, data: SelectOneNextData);
    ngOnInit(): void;
    displayFn(item: any): string;
    getNodesExpand(itemNode: any): void;
    onClickNodeTree(node: QMSFlatNodeTree): void;
    selectItemSearched(item: any): void;
    isEllipsisActive(e: HTMLElement): boolean;
    onAddClick(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectOneNextDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectOneNextDialog, "app-select-one-next", never, {}, {}, never, never, false, never>;
}
