import { AfterViewChecked, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { MatAutocompleteTrigger } from '@angular/material/autocomplete';
import { MatDialogRef } from '@angular/material/dialog';
import { MatIconRegistry } from '@angular/material/icon';
import { DomSanitizer } from '@angular/platform-browser';
import { Subject } from 'rxjs';
import { DataType } from '../../common/enum/data-type.enum';
import { ModuleType } from '../../common/enum/module-type.enum';
import { TranslateLibraryService } from '../../services/translation-registry.service';
import { QMSIconRegistryService } from '../app-icon/icon-registry.service';
import { TreeConfig } from '../tree/model/tree-config.model';
import { TreeFlatNode } from '../tree/model/tree-flat-node.model';
import { NewTreeModel } from '../treeNew/model/tree.model';
import { NewTreeComponent } from '../treeNew/tree.component';
import { SelectProcessDocumentPopupData } from './models/pop-up-data.model';
import { QMSProcessDocumentItem } from './models/qms-process-document-item.model';
import { SelectedProcessDocumentItem } from './models/selected-process-document-item.model';
import { QMSSelectProcessDocumentGlobalService } from './services/select-process-document-global.service';
import * as i0 from "@angular/core";
export declare class SelectProcessDocumentPopupComponent implements OnInit, OnDestroy, AfterViewChecked {
    private cdRef;
    translate: TranslateLibraryService;
    dialogRef: MatDialogRef<SelectProcessDocumentPopupComponent>;
    globalService: QMSSelectProcessDocumentGlobalService;
    private iconRegistry;
    private sanitizer;
    private appIconService;
    private elem;
    data: SelectProcessDocumentPopupData;
    ngUnsubscribe: Subject<void>;
    LANG: any;
    moduleId: number;
    moduleName: string;
    treeData1: Array<NewTreeModel>;
    treeData2: Array<NewTreeModel>;
    treeConfig1: TreeConfig;
    treeConfig2: TreeConfig;
    checkedNodeList: Array<SelectedProcessDocumentItem>;
    selectedNode: Array<SelectedProcessDocumentItem>;
    selectedData: Array<TreeFlatNode>;
    selectedData2: Array<TreeFlatNode>;
    commonCheckedList: Array<TreeFlatNode>;
    documentCheckedList: Array<TreeFlatNode>;
    singleProcessList: Array<SelectedProcessDocumentItem>;
    singleDocumentList: Array<SelectedProcessDocumentItem>;
    splitView: boolean;
    module: typeof ModuleType;
    dataType: typeof DataType;
    itemType: number;
    selectedRiskData: any;
    disabledList: any;
    disabledList2: any;
    isSelectOne: boolean;
    canOnlySelectItem: boolean;
    isDocumentExpanded: boolean;
    isCommonExpanded: boolean;
    singleSelectedNode: boolean;
    searchOrder: {
        key: string;
        value: DataType;
    }[];
    myControl: UntypedFormControl;
    filteredOptions: QMSProcessDocumentItem[];
    isInputValue: boolean;
    itemInSplitview: QMSProcessDocumentItem[];
    selectedFolder: TreeFlatNode;
    splitViewTitle: string;
    listChildrenSelectOne: any;
    onSearch: EventEmitter<any>;
    onSelectFolderItem: EventEmitter<QMSProcessDocumentItem>;
    onExpandProcessArea: EventEmitter<QMSProcessDocumentItem>;
    onExpandFolder: EventEmitter<QMSProcessDocumentItem>;
    parentNodeSelected: TreeFlatNode;
    treeControlNodeProcess: any;
    treeControlNodeDocument: any;
    idCheckIconSplitView: string;
    hideSplitviewCheckbox: boolean;
    tooltipLocationSearchResult: boolean;
    dataTrees: QueryList<NewTreeComponent>;
    autoComplete: MatAutocompleteTrigger;
    listCheckedTooltip: any[];
    constructor(cdRef: ChangeDetectorRef, translate: TranslateLibraryService, dialogRef: MatDialogRef<SelectProcessDocumentPopupComponent>, globalService: QMSSelectProcessDocumentGlobalService, iconRegistry: MatIconRegistry, sanitizer: DomSanitizer, appIconService: QMSIconRegistryService, elem: ElementRef, data: SelectProcessDocumentPopupData);
    ngOnDestroy(): void;
    onMessage(event: any): void;
    ngOnInit(): void;
    setSelectedData(): void;
    ngAfterViewChecked(): void;
    removeCheckedNodeList(item: SelectedProcessDocumentItem): void;
    setResultHeight(arr?: QMSProcessDocumentItem[]): void;
    onSearchRelated(_val: any): void;
    getModuleFilteredOptions(moduleId: number): QMSProcessDocumentItem[];
    showSearchResult(): void;
    displayRelated(related?: QMSProcessDocumentItem): string | undefined;
    selectRelated(item: QMSProcessDocumentItem): void;
    displayWhenSelectRelatedOption($event: any): string | null;
    addNodeToTree(item: QMSProcessDocumentItem): void;
    addToChecklistNode(item: QMSProcessDocumentItem): void;
    addSelectedData(item: TreeFlatNode): void;
    addToChecklistNodeAndSelectedData(item: QMSProcessDocumentItem): void;
    setTypeProcess(expand: any): DataType.process | DataType.area;
    onCloseClick(): void;
    onAddClick(): void;
    getStatusName(id: any): string;
    selectTreeControlNodeDocument(treeNodes: any): void;
    selectTreeControlNodeProcess(treeNodes: any): void;
    getStatusDocs(id: any): number;
    getStatusProcess(id: any): number;
    getOffsetHeight(element: HTMLElement, includeMargin: boolean): number;
    getItemChipName(item: SelectedProcessDocumentItem): string;
    isEllipsisActive(id: string): boolean;
    getNodeIcon(item: QMSProcessDocumentItem): "process" | "process_area_outlined" | "document" | "document_local" | "document_enterprise" | "document_department" | "document_regional" | "folder_outlined" | "local_folder_outlined" | "enterprise_folder_outlined" | "regional_folder_outlined" | "department_folder_outlined" | "process_interconnected";
    getTitle(type: number): any;
    getItemId(item: QMSProcessDocumentItem): string;
    toggleSelectItem(node: QMSProcessDocumentItem): void;
    isNodeSelected(node: any): boolean;
    getChildrenOfFolder(node: TreeFlatNode, type: DataType): void;
    canShowSearchOption(moduleId: number): number;
    selectNodeTreeEvent(node: TreeFlatNode): void;
    getChildNodeSelectOne(listChildren: any): void;
    getItemOfFolder(node: TreeFlatNode, type: DataType): void;
    hasSelected(related: QMSProcessDocumentItem): boolean;
    toRelatedOptions(relateds: QMSProcessDocumentItem[]): QMSProcessDocumentItem[];
    idToCheckSelectOne(id: string, parentId: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectProcessDocumentPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectProcessDocumentPopupComponent, "qms-select-process-document", never, {}, {}, never, never, false, never>;
}
