import { Overlay, OverlayPositionBuilder, OverlayRef } from "@angular/cdk/overlay";
import { ComponentRef, ElementRef, TemplateRef } from "@angular/core";
import { QMSToolTipComponent } from "../../components/tooltip/tooltip";
import * as i0 from "@angular/core";
export declare class QMSToolTipRendererDirective {
    private _overlay;
    private _overlayPositionBuilder;
    private _elementRef;
    /**
     * This will be used to show tooltip or not
     * This can be used to show the tooltip conditionally
     */
    showToolTip: boolean;
    mode: string;
    text: string;
    contentTemplate: TemplateRef<any>;
    position: string;
    _overlayRef: OverlayRef;
    _tooltipInstance: ComponentRef<QMSToolTipComponent>;
    constructor(_overlay: Overlay, _overlayPositionBuilder: OverlayPositionBuilder, _elementRef: ElementRef);
    /**
     * This method will be called whenever mouse enters in the Host element
     * i.e. where this directive is applied
     * This method will show the tooltip by instantiating the McToolTipComponent and attaching to the overlay
     */
    show(): void;
    /**
     * This method will be called when mouse goes out of the host element
     * i.e. where this directive is applied
     * This method will close the tooltip by detaching the overlay from the view
     */
    hide(): void;
    initTooltipProperties(): void;
    /**
     * Destroy lifecycle event handler
     * This method will make sure to close the tooltip
     * It will be needed in case when app is navigating to different page
     * and user is still seeing the tooltip; In that case we do not want to hang around the
     * tooltip after the page [on which tooltip visible] is destroyed
     */
    ngOnDestroy(): void;
    /**
     * This method will close the tooltip by detaching the component from the overlay
     */
    private closeToolTip;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSToolTipRendererDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSToolTipRendererDirective, "[qms-tool-tip]", never, { "showToolTip": { "alias": "showToolTip"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "text": { "alias": "qms-tool-tip"; "required": false; }; "contentTemplate": { "alias": "contentTemplate"; "required": false; }; "position": { "alias": "position"; "required": false; }; }, {}, never, never, false, never>;
}
