import { OnInit } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorRelation } from '../../common/models/qms-ckeditor-relation.model';
import { TreeNode } from '../../common/models/qms-ckeditor-tree-node.model';
import QMSCKEditorTree from '../../common/models/qms-ckeditor-tree.model';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorTreeService } from '../../services/qms-ckeditor-tree.service';
import { DataType } from '../../../common/enum/data-type.enum';
import * as i0 from "@angular/core";
export interface Related {
    id: number;
    name: string;
    type: number;
}
export interface SelectedNode {
    id: string;
    type: number;
}
export interface LinkUrl {
    id: string;
    url: string;
    title: string;
}
export declare class QMSCKEditorRelatedComponent extends QMSCKEditorBaseComponent implements OnInit {
    private treeService;
    private translate;
    private dialogRef;
    data: QMSCKEditorRelation;
    LANG: any;
    selectedNode: SelectedNode;
    linkUrl: LinkUrl;
    documentType: DataType;
    processData: QMSCKEditorTree[];
    documentData: QMSCKEditorTree[];
    filterData: QMSCKEditorTree[];
    treeDataFile: object;
    treeProcessFile: object;
    treeDocumentFile: object;
    treeProcessData: TreeNode[];
    treeDocumentData: TreeNode[];
    processNumber: number;
    listParentProcessId: {};
    listParentDocumentId: {};
    myControl: UntypedFormControl;
    filteredOptions: any[];
    isInputValue: boolean;
    isOnlyDocument: boolean;
    isEnableFolder: boolean;
    areaOfCurrentProcess: string;
    constructor(treeService: QMSCKEditorTreeService, translate: TranslateLibraryService, dialogRef: MatDialogRef<QMSCKEditorRelatedComponent>, data: QMSCKEditorRelation);
    ngOnInit(): void;
    getProcessAndDocumentData(): void;
    getProcessData(): import("rxjs").Observable<QMSCKEditorTree[]>;
    getDocumentData(): import("rxjs").Observable<QMSCKEditorTree[]>;
    mappingData(array: QMSCKEditorTree[], dataType: number): void;
    onCloseClick(): void;
    onAddDocumentProcess(): void;
    selectAreaNode(id: string): void;
    selectProcessNode(id: string): void;
    selectDocumentNode(id: string): void;
    selectHandbookNode(id: string): void;
    onSearchRelated(_val: string): Related[];
    displayRelated(related?: Related): string | undefined;
    selectRelated(id: string, type: number): void;
    setResultHeight(arr?: Related[]): void;
    hideSearchResult(): void;
    showSearchResult(): void;
    createSearchItem(result: Related[], data: any, documentType: DataType, searchKey: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorRelatedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSCKEditorRelatedComponent, "app-dialog", never, {}, {}, never, never, false, never>;
}
