import { AfterViewChecked, ChangeDetectorRef, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorTemplate } from '../../models/qms-ckeditor-template.model';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorCommonService } from '../../services/qms-ckeditor-common.services';
import { QMSCKEditorTemplateService } from '../../services/qms-ckedtior-template.service';
import { MatIconRegistry } from '@angular/material/icon';
import { DomSanitizer } from '@angular/platform-browser';
import { QMSFileAttachment } from '../../../directives/file-upload/qms-file-upload-attachment.model';
import { QMSCKEditorUploadService } from '../../services/qms-ckeditor-upload.service';
import * as i0 from "@angular/core";
interface ITemplate {
    id: number;
    title: string;
}
export declare class QMSCKEditorTemplateComponent extends QMSCKEditorBaseComponent implements OnInit, AfterViewChecked {
    private cdr;
    private dialog;
    private translate;
    private templateService;
    private commonService;
    dialogRef: MatDialogRef<QMSCKEditorTemplateComponent>;
    private iconRegistry;
    private sanitizer;
    private uploadService;
    data: any;
    ckEditor: any;
    LANG: any;
    templateFormGroup: UntypedFormGroup;
    isExpanded: boolean;
    content: string;
    templateList: QMSCKEditorTemplate[];
    templates: ITemplate[];
    template: QMSCKEditorTemplate;
    selectedId: number;
    isEdit: boolean;
    qmsInputImageFile: QMSFileAttachment;
    isLoadingImageFile: boolean;
    imageUpload: HTMLImageElement;
    acceptExtensions: any;
    imageInfo: string;
    constructor(cdr: ChangeDetectorRef, dialog: MatDialog, translate: TranslateLibraryService, templateService: QMSCKEditorTemplateService, commonService: QMSCKEditorCommonService, dialogRef: MatDialogRef<QMSCKEditorTemplateComponent>, iconRegistry: MatIconRegistry, sanitizer: DomSanitizer, uploadService: QMSCKEditorUploadService, data: any);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onCloseDialog(): void;
    getTemplate(): void;
    addNoneTemplate(template: ITemplate[]): void;
    onSelectChange(): void;
    deleteTemplate(): void;
    saveTemplate(): Promise<void>;
    cancelTemplate(): void;
    updateTemplate(): void;
    clearQMSInputImageFile(): void;
    onChangeImage(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSCKEditorTemplateComponent, "app-qmsck-template", never, { "ckEditor": { "alias": "ckEditor"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
